import { jsx } from "react/jsx-runtime";
import { useFieldSchema } from "@tachybase/schema";
import { useDesignable } from "../../index.mjs";
import { useSchemaSettingsRender } from "../../../application/schema-settings/hooks/index.mjs";
import { SchemaToolbarProvider } from "../../../application/schema-toolbar/context/index.mjs";
const PageTabDesigner = (param)=>{
    let { schema } = param;
    const { designable } = useDesignable();
    const fieldSchema = useFieldSchema();
    const { render: renderDesigner } = useSchemaSettingsRender(fieldSchema['x-settings'] || 'PageTabSettings', fieldSchema['x-settings-props']);
    if (!designable) return null;
    return /*#__PURE__*/ jsx(SchemaToolbarProvider, {
        schema: schema,
        children: renderDesigner()
    });
};
export { PageTabDesigner };
